Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ipe::BufferSource Class Reference
Ipe Base

`#include <ipebase.h>`

Inherits ipe::DataSource.

## Public Member Functions
| BufferSource (const Buffer &buffer)
virtual int | getChar ()
void | setPosition (int pos)
Public Member Functions inherited from ipe::DataSource
virtual | ~DataSource ()=0

## Detailed Description

Data source for parsing from a buffer.

## Constructor & Destructor Documentation

BufferSource::BufferSource | ( | const Buffer & | buffer | ) |

## Member Function Documentation

int BufferSource::getChar | ( |  | ) |
| virtual

Get one more character, or EOF.

Implements ipe::DataSource.

References ipe::Buffer::size().

void BufferSource::setPosition | ( | int | pos | ) |

Referenced by ipe::PdfFile::parseObjectStream().

The documentation for this class was generated from the following files:

- ipebase.h
- ipebase.cpp